package cz.psika.numerist;

/**
 * Class saving history status of simple diagram.
 *
 * @author Tomas Psika
 */
public class DiagramCanvasMemento extends ItemMemento
{
    /**
     * For saving history of this simple diagram 
     * we only need to save characteristics of it's entry.
     *
     * @param entry source entry
     */
    protected DiagramCanvasMemento(Entry entry)
    {
        super();
        setString(entry.getSourceString());
        copyId(entry.getId());
        setStyle(entry.getStyle());
    }
    
    /**
     * Get entry.
     *
     * @return saved entry characteristics as new <code>Entry</code> instance
     */
    @Override
    public Entry fetchEntry()
    {
        return new Entry( getId(), sourceString, style );
    }
}

