package cz.psika.numerist;

/**
 * History objects interface.
 *
 * @author Tomas Psika
 */
public interface History
{
    /**
     * Create history object.
     *
     * <code>Memento</code> class is just abstract class,
     * because items and diagram variations need to save specific
     * values.
     *
     * See classes derived from <code>Memento</code> for next details.
     *
     * @return object of type <code>Memento</code> used to save history status
     */
    public Memento createMemento();
    
    /**
     * Initialize object to state in the past.
     *
     * @param memento <code>Memento</code> object saving history status
     * @see #createMemento
     */
    public void setMemento(Memento memento);
}
