package cz.psika.numerist;

/**
 * Observer interface.
 *
 * @author Tomas Psika
 */
public interface ItemObserver
{
    /**
     * Method called whenever <code>ItemObservable</code> object has changed 
     * and the object wants to inform attached observers.
     *
     * @param observable the observable object
     * @param event type of event occured within instance of <code>ItemObservable</code>.
     * @see Constants.ItemEvents
     */
    public void update(ItemObservable observable, Constants.ItemEvents event);
}
