package cz.psika.numerist;

import java.util.Locale;
import java.util.ResourceBundle;

/**
 * Localization class.
 * 
 * Only one resource bundle used within application, other resources just for service purposes
 * Usage:
 *      T.get("localization_key");
 *      
 * 
 * @author Tomas Psika
 */
public class Texts
{
    /**
     * Main resource bundle.
     */
    private static ResourceBundle resources;
    
    /**
     * Service bundles.
     */
    private static ResourceBundle filechooser;
    
    /**
     * Get resource string from main resource bundle.
     * 
     * @param key resource bundle key
     * @return translated text
     */
    public static String get(String key)
    {
        return resources.getString(key);
    }
    
    /**
     * Locale initialization and resource bundle loading.
     * 
     * @param locale locale string
     */
    public static void init(Locale locale)
    {
        /* Main resource bundle */
        resources = ResourceBundle.getBundle("langs", locale);
        
        /* Service bundles */
        filechooser = ResourceBundle.getBundle("filechooser", locale);
    }
}

